appimage


#1

Hi,
The appimage doesn’t work with my Linux Puppy Precise 5.7.1 distro.
The first error message is that the ldconfig file isn’t found.
I’m looking into this via the Puppy forum but wondered if you are planning to release the binaries for linux too? Or other linux packages eventually - not just appimage?
Thank you.


#2

Hello Imm,
Please post full error message or screenshot.


#3

Hi,
Thank you for your help.

I have attached 2 txt files which show the beginning and some later time of error messages. The ‘later’ one goes to the end.

The messages seem to be the same things over and over and I don’t think I have got the whold message. I can’t seem to find a log anywhere and it’s been hard to get the screenshots. So I stopped the process in the terminal (linux) and took what I got. I can keep trying if this doesn’t help and the problem might be in the middle which I didn’t seem to record.
errors_02.txt (40 KB)
errors_01.txt (8.74 KB)


#4

Hello Imm! We have updated appimage builds, can you please test if they work for you? - morevnaproject.org/2017/04/23/s … velopment/


#5

Hi,

Sorry I didn’t see this until today. I tried the two downloads and the same thing happened as before - seems to load but flashes off without opening up.

I could post the logs if you want but I was wondering - on the Linux Puppy site they suggested that I ask what the dependencies for the appimage are. They thought it possible that the Puppy version I had would need to have some of the dependencies upgraded so that the appimage could run.

Someone on that forum said too that a version of puppy called Xenial (I think that’s the name) they had tried did run the appimage. I haven’t tried it yet but I’ll let you know if I have the same success as they do.

In the meantime, would it be possible to get a list of dependencies needed for the appimage?

Thank you.


#6

Actually, we are trying to reduce dependencies to zero. Can you please post log file here?


#7

HI , I also am using a puppy linux distro. Slacko5.7 puppy.
Using the ‘terminal’ , I found dependencies were missing which prevented the appimage opening. , so I installed the following .

libdb5.1-5.1.25-5-mdv2011.0.i586.rpm
libpcre0-8.21-2-mdv2012.0.i586.rpm
libselinux1-2.0.91-19.1.15.i586.rpm
ibselinux-2.5-14.fc26.i686.rpm

The application opens. It was running well on a remastered live cd I have, But I did a clean remaster to clean out junk… and now synfig freezes a lot at the drop of a hat, which means I have deleted some files picked up along the way from previous software installs and remastering.

On running the appimage with the terminal in the booting sequence I get warnings.
attached to this are Jpgs of the 4 screens of messages. (sorry about the order)
Any clues as to what I need to update?
Thanks





#8

Hello! These warnings have been in Synfig for a long time. SO the problem is not with them.

I am suspect that your issue is same as this one - github.com/synfig/synfig/issues/435

Please make sure that your user have sufficient write permissions for “/tmp” directory.


Trying to download on Ubuntu 18.04 (Live Persistent USB)